<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<script type="text/javascript">
<!--
	function doSubmitForm( data )
	{
		var form = jQuery( "#unitellerGateForm" )[0];
		form.Shop_IDP.value = data.Shop_IDP;
		form.Order_IDP.value = data.Order_IDP;
		form.Subtotal_P.value = data.Subtotal_P;
		form.Signature.value = data.Signature;
		form.Lifetime.value = data.Lifetime;
		form.Comment.value = data.Comment;
		form.URL_RETURN_OK.value = data.URL_RETURN_OK;
		form.URL_RETURN_NO.value = data.URL_RETURN_NO;
		form.CallbackFields.value = data.CallbackFields;
		if ( 'Receipt' in data )
		{
			addInputHidden( form, "Receipt", data.Receipt );
			addInputHidden( form, "ReceiptSignature", data.ReceiptSignature );
		}
		if ( 'IsRecurrentStart' in data )
		{
			addInputHidden( form, "IsRecurrentStart", data.IsRecurrentStart );
		}
		form.submit();
		return false;	
	}

	function doPay( form )
	{
		jQuery.get( webexecuter, { action: '${action}', operation: 'pay', module: '${module}', mid: ${mid}, contractId: contractId, ct: 'json', sum: form.sum.value.replace(',','.'), customerAddress: getFormValue( form, 'customerAddress' ) }, 
			function( data )
			{
				doSubmitForm( data );
			}
		);
		return false;
	}
	
	function doAutopayment()
	{
		var form = jQuery('form.autopayment')[0];
		jQuery.get( webexecuter, { action: '${action}', operation: 'autopayment', module: '${module}', mid: ${mid}, contractId: contractId, ct: 'json', mode: form.mode.value,
			        dayOfWeek: getFormValue( form, 'dayOfWeek' ), weekSum: getFormValue( form, 'weekSum' ), 
			        dayOfMonth: getFormValue( form, 'dayOfMonth' ), monthSum: getFormValue( form, 'monthSum' ),
					maxDaySum: getFormValue( form, 'maxDaySum' ), maxWeekSum: getFormValue( form, 'maxWeekSum' ), maxMonthSum: getFormValue( form, 'maxMonthSum' ), 
					customerEmail: getFormValue( form, 'customerEmail' ) }, 
				function( data )
				{
					if ( data.mode > 0 )
					{
						doSubmitForm( data );
					}
					else ( data.mode == 0 )
					{
						jQuery("#autopaymentDialog").dialog("destroy");
					}
				}
			);
		return false;
	}
-->
</script>

<form action="${dataMap['gateUrl']}" method="GET" id="unitellerGateForm">
	<input type="hidden" name="Shop_IDP" value=""> 
	<input type="hidden" name="Order_IDP" value=""> 
	<input type="hidden" name="Subtotal_P" value=""> 
	<input type="hidden" name="Lifetime" value=""> 
	<input type="hidden" name="Comment" value=""> 
	<input type="hidden" name="Signature" value=""> 
	<input type="hidden" name="URL_RETURN_OK" value=""> 
	<input type="hidden" name="URL_RETURN_NO" value=""> 
	<input type="hidden" name="CallbackFields" value=""> 
</form>

<fmt:setLocale value="RU"/>

<table class="tableFont tableWidth">
  <tr>
    <td style="padding: 0px;">
		<c:set var="paymentName" value="uniteller" scope="request" />
		<c:set var="paymentPayText" scope="request">Пополните счет c помощью сервиса Uniteller</c:set>
		<jsp:include page="../include/payment_tabs.jsp"/>
		<jsp:include page="../include/payment_pay.jsp"/>
		<jsp:include page="../include/payment_auto.jsp"/>
	</td>
	<td style="width: 20px;">&nbsp;</td>
    <td style="vertical-align: top; text-align: right; padding: 0;"><div class="bgBalanceInformerWidget"></div></td>
  </tr>
</table>

<div style="margin-top: 20px;">
	<form method="GET" action="" id="unitellerListForm" >
		<input type="hidden" name="action" value="${action}">
		<input type="hidden" name="module" value="${module}">
		<input type="hidden" name="mid" value="${mid}">
		<input type="hidden" name="status" value="${dataMap['status']}">
		<input type="hidden" name="month" value="${dataMap['month']}">
		<input type="hidden" name="year" value="${dataMap['year']}">
		<input type="hidden" name="pageIndex" value="${dataMap['page'].pageIndex}" />
		<input type="hidden" name="pageSize" value="${dataMap['page'].pageSize}" />
	</form>

	<table class="tableFont tableWidth1024">
	  <tr>
		<td><div class="bgMonthAndYearWidget" formId="unitellerListForm" month="${dataMap['period'].monthFrom}" year="${dataMap['period'].yearFrom}"></div></td>
		<td style="text-align: right;"><div class="bgPagesWidget" formId="unitellerListForm" recordCount="${dataMap['page'].recordCount}" pageIndex="${dataMap['page'].pageIndex}" pageSize="${dataMap['page'].pageSize}" pageCount="${dataMap['page'].pageCount}" /></td>
	  </tr>
	  <tr>
	  	<td><div style="display: none;">Статус: <select onchange="jQuery('#unitellerListForm')[0].status.value=this.value;jQuery('#unitellerListForm')[0].submit();">
	  	<c:forEach var="item" items="${dataMap['statusList']}">
	  	<c:set var="selected"><c:if test="${item.code eq dataMap['status']}">selected="1"</c:if> </c:set>
	  	<option value="${item.code}" ${selected}>${item.title}</option>
	  	</c:forEach>
	  	</select></div></td>
	  	<td style="text-align: right;"><div>[<a href="#" onclick="jQuery(this).parent().hide().next().show().parent().prev().children().show();">показать допол. фильтры</a>]</div><div style="display: none;">[<a href="#" onclick="jQuery(this).parent().hide().prev().show().parent().prev().children().hide();">скрыть допол. фильтры</a>]</div></td>
	  </tr>
	</table>

	<table class="table tableFont tableWidth1024" style="border-radius: 20px;">
		<thead>
			<tr>
				<td width="50">№</td>
				<td width="150">Дата/Время оплаты</td>
				<td>Статус</td>
				<td width="150">Сумма</td>
			</tr>
		</thead>
		<tbody>
		<c:choose>
		<c:when test="${not empty dataMap['transactions']}">
			<c:forEach var="item" items="${dataMap['transactions']}">
				<tr>
					<td>${item.id}</td>
					<c:choose>
						<c:when test="${not empty item.transactionDate}"><td><fmt:formatDate value="${item.transactionDate}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td></c:when>
						<c:otherwise><td><fmt:formatDate value="${item.createDate}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td></c:otherwise>
					</c:choose>
					<td><c:forEach var="statusItem" items="${dataMap['statusList']}"><c:if test="${item.status eq statusItem.code}">${statusItem.title}</c:if></c:forEach></td>
					<td><fmt:formatNumber value="${item.sum}" minFractionDigits="2" /></td>
				</tr>
			</c:forEach>
		</c:when>
		<c:otherwise>
			<tr><td colspan="5" style="text-align: center;">Записи не найдены.</td></tr>
		</c:otherwise>
		</c:choose>
		</tbody>
	</table>
</div>
